Subject: Re: [PATCH net-next v2] net: sfp: add quirk for ZOERAX SFP-2.5G-T

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 29 Mar 2026 20:53:56 +0100

On Sun, Mar 29, 2026 at 09:11:11PM +0200, Jan Hoffmann wrote:
> This is a 2.5G copper module which appears to be based on a Motorcomm
> YT8821 PHY. There doesn't seem to be a usable way to to access the PHY
> (I2C address 0x56 provides only read-only C22 access, and Rollball is
> also not working).
> 
> The module does not report the correct extended compliance code for
> 2.5GBase-T, and instead claims to support SONET OC-48 and Fibre Channel:
> 
>   Identifier          : 0x03 (SFP)
>   Extended identifier : 0x04 (GBIC/SFP defined by 2-wire interface ID)
>   Connector           : 0x07 (LC)
>   Transceiver codes   : 0x00 0x01 0x00 0x00 0x40 0x40 0x04 0x00 0x00
>   Transceiver type    : FC: Multimode, 50um (M5)
>   Encoding            : 0x05 (SONET Scrambled)
>   BR Nominal          : 2500MBd
> 
> Despite this, the kernel still enables the correct 2500Base-X interface
> mode. However, for the module to actually work, it is also necessary to
> disable inband auto-negotiation.
> 
> Enable the existing "sfp_quirk_oem_2_5g" for this module, which handles
> that and also sets the bit for 2500Base-T link mode.
> 
> Signed-off-by: Jan Hoffmann <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!